import request from '@/utils/request';

//添加购物车数量
export const cartCreateApi = (data) => {
	return request.post('/order/cart/create', data);
}

//购物车-调整数量
export const cartChangeApi = (data) => {
	return request.post('/order/cart/change', data);
}

//购物车-清空
export const cartDeleteApi = (data) => {
	return request.post('/order/cart/delete', data);
}

//购物车-零售列表
export const cartListApi = (data) => {
	return request.get('/order/cart/list', data, {
		noAuth: true
	});
}

//购物车-常买记录
export const frequentlyPurchaseApi = (data) => {
	return request.get('/order/order/frequently_purchase', data);
}

//购物车-零售购物车预检
export const checkOrderApi = (data) => {
	return request.post('/order/order/checkOrder', data);
}